Home 谨慎迎接 Delphi 2009
Post
Cancel

谨慎迎接 Delphi 2009

(CSDN Sept 10, 2008)

很多 Delphi 开发者还在继续使用着 Delphi 7。本来当然是无可厚非的,只是面对着国际外包深入中国的现实,那个设计之初就没有考虑到国际化的古老 Delphi 终于显示出致命的问题了――不支持 Unicode。不论 TNT 控件是怎样漂亮的解决了部分问题,我们都必须承认,除非 CodeGear 出手,否则当前的这种困境是不可能根本解决的。

终于,Delphi 2009 正式出货了,一个从编译器,RTL 到 VCL 都完全支持 Unicode 的 IDE 即将解决 Delphi 国际化问题的新产品或许会让坚持使用旧版 IDE 的广大用户最终升级到这个历史性的 IDE 版本。然而,任何新产品都会遭遇的窘境也初现端倪――怎么把旧的工程升级到这个新的 IDE 版本呢?当用户们满心欢喜的升级时,老问题又来了。

至今为止,市面上可以得到的升级参考资料都是英文的,而且能够达到全面级别的资料就更是少见了。因此,现在最中肯的建议,就是请各位收住热情,耐心等待。只有等到相关中文资料丰富一些,您再来升级自己的项目时,才不至于错误连连,叫苦连天。不要谈所谓的兼容问题,没有任何一个开发工具厂商可以信心满满跟你说自己的产品版本间兼容――即使是Microsoft。按照 Delphi 第三方大厂家们的一致意见,只要升级按照正确的规律做,应该是一条平坦的道路。

This post is licensed under CC BY 4.0 by the author.
Advertisement

#SNMP Design: Update on TwinTower Release Candidate

#SNMP Design: Agent Side Support Update

Comments powered by Disqus.